aboutsummaryrefslogtreecommitdiffstats
path: root/main/startup-notification/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/startup-notification/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/startup-notification/APKBUILD')
-rw-r--r--main/startup-notification/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/startup-notification/APKBUILD b/main/startup-notification/APKBUILD
new file mode 100644
index 0000000000..34f81011ec
--- /dev/null
+++ b/main/startup-notification/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=startup-notification
+pkgver=0.10
+pkgrel=0
+pkgdesc="Monitor and display application startup"
+url="http://www.freedesktop.org"
+license="LGPL"
+subpackages="$pkgname-dev"
+depends="libx11 libsm xcb-util"
+makedepends="libx11-dev libsm-dev xcb-util-dev"
+source="http://www.freedesktop.org/software/$pkgname/releases/$pkgname-$pkgver.tar.gz"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="bca0ed1c74bc4e483ea2ed12a5717354 startup-notification-0.10.tar.gz"